
Robotics Service Bus - Tasks #333
Implement Local Transport
05/27/2011 12:35 AM - J. Moringen

Status: Resolved Start date: 05/26/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: 0.6
Description

Related issues:
Blocked by Robotics Service Bus - Feature # 727: Implement Connector Subsystem Resolved 11/18/2011

Associated revisions
Revision 02f0d482 - 01/19/2012 02:54 PM - J. Wienke

    -  created module and test for local transport
    -  implemented bus class, connectors missing

refs #333

Revision 3f15fe17 - 01/19/2012 06:45 PM - J. Wienke

Provide an OutConnector

refs #333

Revision d19443e4 - 01/19/2012 07:07 PM - J. Wienke

Add a basic InConnector

refs #333

Revision 63e191c8 - 01/20/2012 11:32 AM - J. Wienke

    -  Refactored the spread test so that a generic transport test is available now
    -  Applied generic transport test to local transport
    -  Fixed some waiting logic in the transport test so that the unit tests are much faster now

fixes #333

History
#1 - 05/27/2011 12:36 AM - J. Moringen
- Subject changed from Implement Local Transports to Implement Local Transport

#2 - 09/12/2011 05:06 PM - J. Wienke
- Assignee deleted (J. Wienke)
#3 - 11/18/2011 02:47 PM - S. Wrede
- Target version changed from rsb-0.9 to 0.6

#4 - 01/19/2012 09:18 AM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#5 - 01/20/2012 11:40 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3259.
